classification
Title: Missing comma in os.walk docs
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Retro, benjamin.peterson, docs@python, eric.araujo, ezio.melotti, petri.lehtinen, python-dev, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-06-07 09:45 by Retro, last changed 2011-11-21 18:06 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
docs_os_walk_add_comma.patch petri.lehtinen, 2011-06-07 11:53 review
Messages (15)
msg137795 - (view) Author: Boštjan Mejak (Retro) Date: 2011-06-07 09:45
http://docs.python.org/release/2.6.6/library/os.html?highlight=os.walk#os.walk

Click the above link and note the 5th paragraph which goes "By default errors from the listdir() call are ignored."

Please fix it to "By default, errors from the listdir() call are ignored."

So add a comma after "By default," Thanks.
msg137815 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-06-07 11:53
Here's a patch.
msg137853 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-07 16:59
I have included this in a patch I’m preparing to fix several typos at once.
msg139149 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-06-26 07:51
Marking the issue as pending (inferred from Éric msg): Éric, will this be in your July big-push? :)
msg140027 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-08 14:01
“pending” does not mean “soon to be fixed”, but “soon to be closed if nobody reacts”.  In the future, we may have auto-closing of pending bugs.
msg145782 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-10-18 08:32
Éric: It's been 3 months now. Have you already committed the big documentation issues change?
msg145785 - (view) Author: Boštjan Mejak (Retro) Date: 2011-10-18 08:48
Yes, Eric, please fix this already. :)
msg145790 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-10-18 10:02
New changeset b41def1851b6 by Ezio Melotti in branch '3.2':
#12277: add missing comma.
http://hg.python.org/cpython/rev/b41def1851b6

New changeset 7e57c95898d3 by Ezio Melotti in branch 'default':
#12277: merge with 3.2.
http://hg.python.org/cpython/rev/7e57c95898d3

New changeset 09a1bd44d96f by Ezio Melotti in branch '2.7':
#12277: add missing comma.
http://hg.python.org/cpython/rev/09a1bd44d96f
msg145791 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-10-18 10:05
Done.
msg145821 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-18 15:58
Sorry, I was too busy with real bugs to fix this minor one.
msg148008 - (view) Author: Boštjan Mejak (Retro) Date: 2011-11-20 21:24
http://docs.python.org/release/2.6.7/library/os.html?highlight=os.walk#os.walk

Please fix Python 2.6 branch of docs as well. Thanks.
msg148031 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-11-21 07:00
> Please fix Python 2.6 branch of docs as well. Thanks.

2.6 only receives security fixes any more.
msg148050 - (view) Author: Boštjan Mejak (Retro) Date: 2011-11-21 15:01
That is simply idiotic. Your way of fixing things is idiotic. When you
clearly see the missing comma and you fix it everywhere else but 2.6
because "2.6 only receives security fixes" as if adding a comma to the
documentation would create a big security hole. That's an act of an idiot.
I am sorry, but that is how I see it.
msg148053 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-11-21 15:04
It's not because of the security risk, but simply because the docs for 2.6 are not rebuilt automatically anymore.  So, even if we fix it on 2.6, no one will see the change unless someone goes and triggers a full doc rebuild manually.  A missing comma is not enough to justify this extra work.
msg148067 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-11-21 18:06
The reason is simply that 2.6 basically unmaintained.
History
Date User Action Args
2011-11-21 18:06:15benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg148067
2011-11-21 15:04:11ezio.melottisetmessages: + msg148053
2011-11-21 15:01:01Retrosetmessages: + msg148050
2011-11-21 07:00:24petri.lehtinensetmessages: + msg148031
versions: + Python 2.7, Python 3.2, Python 3.3, - Python 2.6
2011-11-21 05:31:40georg.brandlsetstatus: open -> closed
2011-11-20 21:25:12Retrosetstatus: closed -> open
versions: + Python 2.6, - Python 2.7, Python 3.2, Python 3.3
2011-11-20 21:24:19Retrosetmessages: + msg148008
2011-10-18 15:58:15eric.araujosetmessages: + msg145821
2011-10-18 10:05:12ezio.melottisetstatus: open -> closed

assignee: eric.araujo -> ezio.melotti

nosy: + ezio.melotti
messages: + msg145791
resolution: accepted -> fixed
stage: commit review -> resolved
2011-10-18 10:02:25python-devsetnosy: + python-dev
messages: + msg145790
2011-10-18 08:48:19Retrosetmessages: + msg145785
2011-10-18 08:32:10petri.lehtinensetmessages: + msg145782
2011-07-08 14:01:49eric.araujosetstatus: pending -> open

messages: + msg140027
2011-06-26 07:51:43sandro.tosisetstatus: open -> pending

nosy: + sandro.tosi
messages: + msg139149

resolution: accepted
stage: commit review
2011-06-07 16:59:31eric.araujosetassignee: docs@python -> eric.araujo

messages: + msg137853
nosy: + eric.araujo
2011-06-07 11:56:43petri.lehtinensetversions: - Python 3.1
2011-06-07 11:56:32petri.lehtinensetversions: - Python 2.6, Python 3.4
2011-06-07 11:53:11petri.lehtinensetfiles: + docs_os_walk_add_comma.patch

nosy: + petri.lehtinen
messages: + msg137815

keywords: + patch
2011-06-07 09:45:50Retrocreate